> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Template

> Update a custom template.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json put /config/templates/{template_id}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /config/templates/{template_id}:
    put:
      tags:
        - agent-configuration
      summary: Update Template
      description: Update a custom template.
      operationId: update_template_config_templates__template_id__put
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Template Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TemplateUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TemplateUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 3
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        recommended_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Recommended Config
        required_tools:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Tools
        sample_first_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Sample First Message
        is_public:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Public
      type: object
      title: TemplateUpdate
      description: Update agent template.
    TemplateResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        owner_id:
          type: string
          format: uuid
          title: Owner Id
        name:
          type: string
          title: Name
        use_case_key:
          type: string
          title: Use Case Key
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        recommended_config:
          additionalProperties: true
          type: object
          title: Recommended Config
        required_tools:
          items:
            type: string
          type: array
          title: Required Tools
        sample_first_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Sample First Message
        is_system_template:
          type: boolean
          title: Is System Template
        is_public:
          type: boolean
          title: Is Public
        usage_count:
          type: integer
          title: Usage Count
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - id
        - owner_id
        - name
        - use_case_key
        - description
        - recommended_config
        - required_tools
        - sample_first_message
        - is_system_template
        - is_public
        - usage_count
        - created_at
        - updated_at
      title: TemplateResponse
      description: Agent template response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````